Chris
Cheney
ccheney@debian.org
7:e mars, 2003
dcop
1

# `dcop`

&DCOP;-klient för terminal

    dcop --pipe --user  användare --all-users --session  session --all-sessions --list-sessions --no-user-time  program  objekt  funktion argument

## Beskrivning

&DCOP;-klient för terminal

## Väljare

`--pipe`

  Anropa &DCOP; för varje rad som läses från standardinmatningen.

  Det motsvarar ungefär att anropa `while read line ; do dcop $line ; done`, men eftersom ingen ny instans av `dcop` måste startas för varje rad är det i allmänhet mycket snabbare, särskilt för de långsammare dynamiska länkarna i GNU.

`--user` användare

  Anslut till en given användares &DCOP;-server. Väljaren ignorerar värden på miljövariablerna $`DCOPSERVER` och $`ICEAUTHORITY` även om de finns.

  Om användaren har mer än en öppen session, måste du också använda en av kommandoradsväljarna `--list-sessions`, `--session` eller `--all-sessions`.

`--all-users`

  Skicka samma &DCOP;-anrop till alla användare som har en &DCOP;-server som kör. Bara misslyckade anrop till befintliga &DCOP;-servrar ger ett felmeddelande. Om ingen &DCOP;-server alls är tillgänglig, ges inget felmeddelande.

`--session` session

  Skicka till den givna &kde;-sessionen. Väljaren kan bara användas tillsammans med väljaren `--user`.

`--all-sessions`

  Skicka till alla sessioner som hittas. Fungerar bara med väljarna `--user` och `--all-users`.

`--list-sessions`

  Lista alla aktiva &kde;-sessioner för en användare eller alla användare.

`--no-user-time`

  Uppdatera inte användarens aktivitetstidstämpel i anropat program (för användning i skript som kör i bakgrunden).

## Miljö

`DCOPSERVER`

`ICEAUTHORITY`

## Se också

dcopclient(1) dcopref(1) dcopfind(1) kdcop(1)

Inne i &kde; kan du skriva `help:/kdcop` i &konqueror; för att se handboken för det grafiska DCOP-verktyget kdcop.